org.eclipse.viatra.transformation.evm.specific.lifecycle

## Class DefaultActivationLifeCycle

- java.lang.Object
- - org.eclipse.viatra.transformation.evm.api.ActivationLifeCycle
  - - org.eclipse.viatra.transformation.evm.specific.lifecycle.UnmodifiableActivationLifeCycle
    - - org.eclipse.viatra.transformation.evm.specific.lifecycle.DefaultActivationLifeCycle

-     public final class DefaultActivationLifeCycle
      extends UnmodifiableActivationLifeCycle

  This is the default implementation for an activation life cycle. The following is the summary of the possible transitions, in the form of StateFrom -Event-> StateTo (U : Update state used, D : Disappeared state used), :
  - Inactive -Match Appears-> Appeared
  - Appeared -Match Disappears-> Inactive
  - Appeared -Activation fires-> Fired
  - Fired -Match Updates-> Updated (U)
  - Updated -Activation fires-> Fired (U)
  - Updated -Match Disappears-> Inactive (U) / Disappeared (UD)
  - Fired -Match Disappears-> Inactive / Disappeared (D)
  - Disappeared -Match Appears-> Fired (D) / Updated (UD)
  - Disappeared -Activation fires-> Inactive (D)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.viatra.transformation.evm.api.ActivationLifeCycle

      `ActivationLifeCycle.Transition`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultActivationLifeCycle(boolean updateStateUsed, boolean disappearedStateUsed)` Creates an activation life cycle with the default state transition map.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.viatra.transformation.evm.specific.lifecycle.UnmodifiableActivationLifeCycle

      `addStateTransition, copyOf, internalAddStateTransition`

    - ### Methods inherited from class org.eclipse.viatra.transformation.evm.api.ActivationLifeCycle

      `addStateTransition, containsFrom, containsTo, create, getInactiveState, getStateTransitions, nextActivationState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultActivationLifeCycle

          public DefaultActivationLifeCycle(boolean updateStateUsed,
                                            boolean disappearedStateUsed)

      Creates an activation life cycle with the default state transition map.
      Parameters:
        `updateStateUsed` - if set, the Updated activation state is also used
        `disappearedStateUsed` - if set, the Disappeared activations state is also used